%define name dar
%define ver 2.1.5
%define mdkrel 2mdk


%define major   2
%define libname %mklibname %name %major

summary: DAR - Disk ARchive
Name:		%{name}
Version:	%{ver}
Release:	%{mdkrel}
URL:		http://dar.linux.free.fr/
License:	GPL
Icon: 		dar.gif
Group: 		Archiving/Backup
Source: 	http://dar.linux.free.fr/%name-%ver.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires:	libbzip2_1
Requires:	%libname = %version-%release
BuildRequires:	zlib-devel >= 1.1.3, gcc-c++, bzip2-devel >= 1.0.2


%define build_64 0

#libattr.a should be in /lib not /usr/lib ?
#fails to links because of that
%define build_ea 0


%if %build_ea
Requires: libattr libacl
BuildRequires: libattr-devel libacl-devel
%endif

%description
DAR is a command line tool to backup a directory tree and files. DAR is
able to make differential backups, split them over a set of disks or files
of a given size, use compression, filter files or subtrees to be saved or
not saved, directly access and restore given files. DAR is also able
to handle extented attributes, and can make remote backups through an
ssh session for example. Finally, DAR handles save and restore of hard
and symbolic links.

%package -n %libname
Group: 		System/Libraries
Summary: 	Libraries from %Name
Provides: 	lib%name = %version-%release

%description -n %libname
The libraries from %Name package

%package -n %libname-devel
Group: 		Development/Other
Summary: 	Libraries from %Name
Requires:	%libname = %version-%release
Provides:	lib%name-devel = %version-%release
Provides: 	%{name}-devel = %{version}-%{release}

%description -n %libname-devel
The libraries from %Name package

%package -n %libname-static-devel
Group: 		Development/Other
Summary: 	Static libraries from %Name
Requires:	%libname = %version-%release
Provides:	lib%name-devel = %version-%release
Provides: 	%{name}-devel = %{version}-%{release}

%description -n %libname-static-devel
The static libraries from %Name package

%prep
%setup -q 

%clean
make clean
rm -rf %{buildroot}

%build
#autoreconf
CFLAGS="%optflags" CXXFLAGS="%optflags -fpermissive" \
./configure --prefix=%{_prefix} \
%if %build_64
	--enable-mode=64 \
%endif
%if %build_ea
	--enable-ea-support \
%endif
	--disable-upx \
	--mandir=%{_mandir}
%make

%install
rm -rf %{buildroot}

# fix-up docs
install -m 644 doc/samples/README README.samples

%makeinstall_std

# mv dar_static to /sbin , just in case :-) 
install -d %buildroot/sbin
install %buildroot/%_bindir/dar_static  %buildroot/sbin/
rm -f %buildroot/%_bindir/dar_static 



%post -n %libname
ldconfig

%postun  -n %libname
ldconfig

%files
%defattr(0644,root,root,0755)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README THANKS TODO doc/DOC_API_V1  doc/DOC_API_V2
%doc doc/FEATURES doc/GOOD_BACKUP_PRACTICE doc/LIMITATIONS doc/NOTES doc/TUTORIAL doc/configure_options
%doc README.samples doc/samples/cdbackup.sh doc/samples/darrc_sample doc/samples/sample1.txt
%doc doc/dar-differential-backup-mini-howto.en.html doc/LINKS
%dir %{_bindir}
%attr(0755,root,root) %{_bindir}/*
%attr(0755,root,root) /sbin/*
%dir %{_mandir}/man1/
%{_mandir}/man1/*
%dir %{_datadir}/%name
%{_datadir}/%name/*

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README THANKS TODO doc/DOC_API_V1 doc/DOC_API_V1
%doc doc/FEATURES doc/GOOD_BACKUP_PRACTICE doc/LIMITATIONS doc/NOTES  doc/configure_options
%if %build_64
%{_libdir}/libdar64.so.*
%else
%{_libdir}/libdar.so.*
%endif

%files -n %libname-devel
%defattr (-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README THANKS TODO doc/DOC_API_V1 doc/DOC_API_V2
%doc doc/FEATURES doc/GOOD_BACKUP_PRACTICE doc/LIMITATIONS doc/NOTES  doc/configure_options
%dir %{_includedir}/dar/
%{_includedir}/dar/*
%if %build_64
%{_libdir}/libdar64.la
%{_libdir}/libdar64.so
%else
%{_libdir}/libdar.la
%{_libdir}/libdar.so
%endif

%files -n %libname-static-devel
%defattr (-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README THANKS TODO doc/DOC_API_V1 doc/DOC_API_V2 
%doc doc/FEATURES doc/GOOD_BACKUP_PRACTICE doc/LIMITATIONS doc/NOTES  doc/configure_options
%if %build_64
%{_libdir}/libdar64.a
%else
%{_libdir}/libdar.a
%endif

%changelog
* Tue Sep 28 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.1.5-2mdk
- fix group and post/pre scripts

* Tue Sep 28 2004 Svetoslav Slavtchev <svetljo@gmx.de> 2.1.5-1mdk
- initial contrib package

